NodeBuzz 3.1
========

An advanced buzzer for multiple teams.

Each team can use a smartphone, placed on the team's table.
Team members can buzz by hitting their table (which is detected by the accelerometer).
When someone buzzes, a countdown is shown on all participating devices.
A central monitor can show who buzzed and the countdown.

Instance join URL: `https://buzzer.fefrei.de/#/session/<name>`


## Setup

Here's some hints on setting this up, assuming you're generally familiar with setting up server software.

- download the frontend build from [here](https://dgit.cs.uni-saarland.de/fefrei/nodebuzz3/-/jobs/artifacts/master/download?job=frontend-build)

- download the portable backend build from [here](https://dgit.cs.uni-saarland.de/fefrei/nodebuzz3/-/jobs/artifacts/master/download?job=backend-build)

- the backend will serve static files from `./frontend-build` for convenience

- OR: Build and run the Dockerfile which combines these steps

- THEN: set up an HTTPS (!) reverse proxy to the backend port (42593) and configure websocket support

If you wish to build from source instead of downloading pre-built bundles, consult `.gitlab-ci.yml` for build steps.


## Getting Started

First, create your instance and connect your users:

- create an authentication key you'll use for your session (it'll allow administering your session, so don't share it)

- go to `/#/admin`, enter an instance name and your auth key, and spawn the instance

- set up a public screen to show `#/monitor/<instance>`

- send your users to `#/session/<instance>` – creating a QR code is recommended

From this point onwards, users can connect their devices and team up (multiple devices per team are possible). Once the game starts, lock team changing to prevent shenanigans.
