#!/bin/bash

# fix for broken `systemctl --user`
export XDG_RUNTIME_DIR="/run/user/$UID"
export DBUS_SESSION_BUS_ADDRESS="unix:path=${XDG_RUNTIME_DIR}/bus"

echo Stopping server...
systemctl --user stop nodebuzz-server.service
echo Updating...
rm -rf ~/server/
mkdir ~/server/
ln -s ~/public/live ~/server/frontend-build
cp server ~/server/server
ln -s ../server-data/ ~/server/instances
echo Starting...
systemctl --user start nodebuzz-server.service
echo Preparing frontend...
mkdir ~/public/new
cp -R build/* ~/public/new/
echo Swapping frontend...
mv ~/public/live ~/public/old
mv ~/public/new ~/public/live
echo Cleaning up frontend...
rm -rf ~/public/old
echo Done.
